import request from '@/utils/request'

// 查询小程序图片展示列表
export function listMallImgShow(query) {
  return request({
    url: '/mall/mallImgShow/list',
    method: 'get',
    params: query
  })
}

// 查询小程序图片展示详细
export function getMallImgShow(id) {
  return request({
    url: '/mall/mallImgShow/' + id,
    method: 'get'
  })
}

// 新增小程序图片展示
export function addMallImgShow(data) {
  return request({
    url: '/mall/mallImgShow',
    method: 'post',
    data: data
  })
}

// 修改小程序图片展示
export function updateMallImgShow(data) {
  return request({
    url: '/mall/mallImgShow',
    method: 'put',
    data: data
  })
}

// 删除小程序图片展示
export function delMallImgShow(id) {
  return request({
    url: '/mall/mallImgShow/' + id,
    method: 'delete'
  })
}

// 导出小程序图片展示
export function exportMallImgShow(query) {
  return request({
    url: '/mall/mallImgShow/export',
    method: 'get',
    params: query
  })
}